package com.pgmriver.android;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;

public class GLActivity extends Activity {

	public static final int GL_VIEW_START = 0;
	
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		
		int type = (int)(getIntent().getExtras().getLong(TutorialGL.GL_VIEW));
		View v = null;
		
		switch(type)
		{
		case 0:
			v = new GLViewFirst(this);
			break;
		
		case 1:
			v = new GLViewSecond(this);
			break;
		
		case 2:
			v = new GLViewThird(this);
			break;
			
		case 3:
			v = new GLViewFourth(this);
			break;
		
		case 4:
			v = new GLViewFifth(this);
			break;
			
		case 5:
			v = new GLViewSixth(this);
			break;
		
		case 6:
			v = new GLViewSeventh(this);
			break;

		case 7:
			v = new GLViewEighth(this);
			break;
		
		case 8:
			v = new GLViewNineth(this);
			break;
			
		case 9:
			v = new GLViewTenth(this);
			break;
			
		case 10:
			v = new GLViewEleventh(this);
			break;
		}
		
		setContentView(v);
	}
}
