package com.pgmriver.android;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class TutorialGL extends ListActivity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        // setContentView(R.layout.main);
        
        setListAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, GL_VIEW_LIST));    
    }
    
    @Override
    protected void onListItemClick(ListView l, View v, int position, long id)
    {
    	super.onListItemClick(l, v, position, id);
    	
    	Intent i = new Intent(this, GLActivity.class);
		i.putExtra(GL_VIEW, GLActivity.GL_VIEW_START + id);
		startActivity(i);
    }
    
    public static final String GL_VIEW = "GL_VIEW";
    
    private static final String[] GL_VIEW_LIST = {
    	"Tutorial 1[背景クリア]",
    	"Tutorial 2[矩形表示]",
    	"Tutorial 3[三角形表示]",
    	"Tutorial 4[プリミティブの回転]",
    	"Tutorial 5[奥行き]",
    	"Tutorial 6[立方体]",
    	"Tutorial 7[ライティング]",
    	"Tutorial 8[テクスチャを貼る]",
    	"Tutorial 9[ブレンディング処理]",
    	"Tutorial 10[フォグ]",
    	"Tutorial 11[ステンシル]",
    };
}